package interact

import (
	survey "github.com/AlecAivazis/survey/v2"
	"ledo/app/modules/docker_hub"
)

func SelectDockerHubTag(dockerImage string) (string, error) {
	dockerImageTags := docker_hub.GetImageTags(dockerImage)
	selectedTag := "latest"

	var qs = []*survey.Question{
		{
			Name: "tags",
			Prompt: &survey.Select{
				Message:  "Select available docker image tag",
				PageSize: 10,
				Options:  docker_hub.ImageTagsToArray(dockerImageTags),
			},
		},
	}

	err := survey.Ask(qs, &selectedTag)

	if err != nil {
		return "", err
	}

	return selectedTag, err
}